curl --request POST \
--url https://api.services.payward.com/v1/accounts/{account_id}/funds/withdrawals \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": {
"method_id": "2fa11f79-eeba-4d4e-afda-029abff6e29e"
},
"address_id": "AB12345-6789A-BCDEFG",
"symbol": "BTC",
"amount": "0.01000000",
"fee_token": "eyJ3aXRoZHJhd2FsX2ZlZSI6Ii4uLiJ9"
}
'{
"data": {
"withdrawal_id": "FTSBuuG-9BctU4m3Emt88submmZVKY",
"net_amount": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.00995000"
},
"gross_amount": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.01000000"
},
"fee": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.00005000"
}
}
}Create withdrawal
Creates a cryptocurrency withdrawal from the selected account to a registered funding address. Optionally supply fee_token from Calculate funding fees to reuse a quote’s fee terms.
To safely retry a request with an unknown outcome, supply a UUIDv4 Idempotency-Key and reuse the same key for the retry. The header is optional. If you omit it, each request is treated as a new withdrawal request.
curl --request POST \
--url https://api.services.payward.com/v1/accounts/{account_id}/funds/withdrawals \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": {
"method_id": "2fa11f79-eeba-4d4e-afda-029abff6e29e"
},
"address_id": "AB12345-6789A-BCDEFG",
"symbol": "BTC",
"amount": "0.01000000",
"fee_token": "eyJ3aXRoZHJhd2FsX2ZlZSI6Ii4uLiJ9"
}
'{
"data": {
"withdrawal_id": "FTSBuuG-9BctU4m3Emt88submmZVKY",
"net_amount": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.00995000"
},
"gross_amount": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.01000000"
},
"fee": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.00005000"
}
}
}Authorizations
Your public API key. Identifies the partner making the request.
HMAC signature over the request, computed with your private key.
Monotonically increasing nonce included in the request signature.
Headers
Optional client-generated UUIDv4 for safe retries. Sent as the Idempotency-Key HTTP header. Reuse the same key after a timeout or another unknown outcome. If omitted, each request is treated as a new withdrawal request.
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Path Parameters
Public identifier of the account that will send the withdrawal.
1 - 64Body
Funding scope, saved funding address, asset symbol, gross amount, and optional fee token for a normal crypto withdrawal.
Method or network scope used for the withdrawal.
Show child attributes
Show child attributes
Stable identifier of a previously registered funding address owned by the selected account.
20^AB[A-Za-z0-9]{5}-[A-Za-z0-9]{5}-[A-Za-z0-9]{6}$Public asset symbol to withdraw. Crypto and stablecoin assets are supported in this operation.
1 - 16Gross decimal amount debited from the account, inclusive of the fee, represented as a string to preserve precision.
1 - 64^[0-9]+(\.[0-9]+)?$Fee token from a quote whose fee terms this withdrawal should reuse. Requires scope.method_id; cannot be used with network scope. A different amount than the quote does not invalidate the token, but changes the fee charged. Omit to have Funding calculate the fee at creation.
1 - 2000Response
Withdrawal created for the selected account.
Withdrawal created for the selected account.
Created Funding withdrawal, including the Portfolio correlation identifier and execution-time amounts.
Show child attributes
Show child attributes